Index: FAQ.html
===================================================================
RCS file: /projects/cvsroot/pgsql/doc/src/FAQ/FAQ.html,v
retrieving revision 1.347
diff -c -r1.347 FAQ.html
*** FAQ.html	4 Jun 2006 00:17:43 -0000	1.347
--- FAQ.html	7 Jun 2006 21:05:09 -0000
***************
*** 694,700 ****
  
      <P>One limitation is that indexes can not be created on columns
      longer than about 2,000 characters. Fortunately, such indexes are
!     rarely needed. Uniqueness is best guaranteed by a funtion index
      of an MD5 hash of the long column, and full text indexing
      allows for searching of words within the column.</P>
  
--- 694,700 ----
  
      <P>One limitation is that indexes can not be created on columns
      longer than about 2,000 characters. Fortunately, such indexes are
!     rarely needed. Uniqueness is best guaranteed by a function index
      of an MD5 hash of the long column, and full text indexing
      allows for searching of words within the column.</P>
  
***************
*** 812,819 ****
      FROM tab
      WHERE lower(col) = 'abc';
  </PRE>
!     This will not use an standard index. However, if you create a
!     expresssion index, it will be used: 
  <PRE>
      CREATE INDEX tabindex ON tab (lower(col));
  </PRE>
--- 812,819 ----
      FROM tab
      WHERE lower(col) = 'abc';
  </PRE>
!     This will not use an standard index. However, if you create an
!     expression index, it will be used: 
  <PRE>
      CREATE INDEX tabindex ON tab (lower(col));
  </PRE>
***************
*** 957,963 ****
  
      <P>Every row that is created in PostgreSQL gets a unique
      <SMALL>OID</SMALL> unless created <SMALL>WITHOUT OIDS</SMALL>.
!     O<SMALL>ID</SMALL>s are autotomatically assigned unique 4-byte
      integers that are unique across the entire installation.  However,
      they overflow at 4 billion, and then the O<SMALL>ID</SMALL>s start
      being duplicated. PostgreSQL uses <SMALL>OID</SMALL>s to link its
--- 957,963 ----
  
      <P>Every row that is created in PostgreSQL gets a unique
      <SMALL>OID</SMALL> unless created <SMALL>WITHOUT OIDS</SMALL>.
!     O<SMALL>ID</SMALL>s are automatically assigned unique 4-byte
      integers that are unique across the entire installation.  However,
      they overflow at 4 billion, and then the O<SMALL>ID</SMALL>s start
      being duplicated. PostgreSQL uses <SMALL>OID</SMALL>s to link its
